List all agents in the authenticated organization.
curl --request GET \
--url https://dashboard.laburen.com/api/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard.laburen.com/api/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.laburen.com/api/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"temperature": 123,
"systemPrompt": "<string>",
"userPrompt": "<string>",
"handle": "<string>",
"useSuperRetrieval": true,
"useFollowUp": true,
"promptTemplate": "<string>",
"retrievalEvaluationConfig": {
"evaluatorPrompt": "<string>",
"generateQueryPrompt": "<string>",
"evaluatorModelName": "<string>",
"retrievalRounds": 123,
"evaluationThreshold": 123,
"additionalConfig": {},
"retrievalModelName": "<string>",
"generationModelName": "<string>",
"fallbackModels": [
"<string>"
],
"modelTemperatures": {},
"modelMaxTokens": {},
"enableModelComparison": true,
"comparisonModels": [
"<string>"
]
},
"followUpConfig": {
"prompt": "<string>",
"count": 123,
"followUpDelayHours": 123,
"config": {}
},
"tools": [
{
"id": "<string>",
"config": {},
"datastoreId": "<string>",
"formId": "<string>",
"serviceProviderId": "<string>"
}
]
}
]Agent - List
GET
/
agents
List all agents in the authenticated organization.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success
Available options:
gpt_4o, gpt_4o_mini, gpt_41, gpt_41_mini, gpt_41_nano, claude_3_7_sonnet, claude_4_sonnet, gemini_2_5_flash, gemini_2_5_pro, grok_3, grok_3_beta, grok_3_fast_beta, grok_3_mini_beta, grok_3_mini_fast_beta, sonar_pro, sonar, llama_3_3_70b, llama_4_maverick_17b, model_route Available options:
public, private Available options:
raw, customer_support Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

